package com.taurusxin.springbootdemo.controller;

import com.taurusxin.springbootdemo.entity.Person;
import com.taurusxin.springbootdemo.mapper.PersonMapper;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
public class PersonController {
    private final PersonMapper personMapper;

    public PersonController(PersonMapper personMapper) {
        this.personMapper = personMapper;
    }

    @GetMapping("/")
    public String index() {
        return "Hello World";
    }

    @GetMapping("/person")
    public List<Person> person() {
        return personMapper.selectList(null);
    }

    @GetMapping("/person/{id}")
    public Person person(@PathVariable int id) {
        return personMapper.selectById(id);
    }

    @PostMapping("/person")
    public Person addPerson(@RequestBody Person person) {
        personMapper.insert(person);
        return person;
    }

    @DeleteMapping("/person/{id}")
    public boolean deletePerson(@PathVariable int id) {
        personMapper.deleteById(id);
        return true;
    }
}
